=== shared-images/CMakeLists.txt ===

########### install files ###############

install(FILES
	expose-desktops.svg
	expose-windows.svg
	show-desktop.svg
	widget-layer.svg
	DESTINATION ${shared_imagesdatadir})
