=== desklet-rendering/data/CMakeLists.txt ===

########### install files ###############

install(FILES icon.svg
	branche1.svg
	branche2.svg
	scotch.svg
	scotch+frame.svg
	frame.svg
	reflect.svg
	cd_box_cover.svg
	cd_box.svg
	starcraft2.png
	dark-bg.png
	clear-bg.svg
	board.png
	DESTINATION ${desklet_renderingdatadir})
