=== debian/changelog ===
cairo-dock-plug-ins (2.4.0~2-3) unstable; urgency=low

  [Evgeni Golov]
  * Adjust Build-Depends on mono libraries to match archs supported by mono.
    (Closes: #661684)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 01 Mar 2012 08:54:02 +0900

cairo-dock-plug-ins (2.4.0~2-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Remove libindicator-dev which there were two.
  * Remove cairo-dock-memenu-plug-in package. (Closes: #647816)
    cairo-dock-memenu-plug-in has been merge to
    cairo-dock-messaging-menu-plug-in.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 20 Feb 2012 12:25:51 +0900

cairo-dock-plug-ins (2.4.0~2-1) unstable; urgency=low

  * New Upstream version 2.4.0~2. (Closes: #645492, #634382).
  * Rename source package name.
  * Rename binary package name from *-plugin to *-plug-in.
  * Drop compiz-icon-plug-in.
  * Add new plug-ins.
    - cairo-dock-folders-plug-in
    - cairo-dock-impluise-plug-in
    - cairo-dock-memenu-plug-in
    - cairo-dock-messeaging-menu-plug-in
    - cairo-dock-recent-events-plug-in
    - cairo-dock-remote-control-plug-in
  * Add libupower-glib-dev, libindicator-dev,
    libdbusmenu-gtk-dev (>= 0.4), libido-0.1-dev, libpulse-dev,
    libfftw3-dev, libsensors4-dev, libzeitgeist-dev,
    libndesk-dbus-glib1.0-cil-dev, libglib2.0-cil-dev, ruby1.9.1,
    ruby1.9.1-dev iand valac-0.14 to Build-Depneds.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2011 09:32:53 +0900

cairo-dock-plugins (2.3.0~3-3) unstable; urgency=low

  * Change kfreebsd-* to linux-any in Build-Depends and Depends. (Closes:#634382)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Jul 2011 01:45:54 +0900

cairo-dock-plugins (2.3.0~3-2) unstable; urgency=low

  * Transition to Webkit 1.3. Change libwebkit-dev to libwebkitgtk-dev.
    (Closes: #635404)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 26 Jul 2011 17:35:46 +0900

cairo-dock-plugins (2.3.0~3-1) unstable; urgency=low

  * New Upstream version 2.3.0~3.
  * Update debian/control.
    - Bump Standard Version 3.9.2.
    - Update version of cairo-dock-core and cairo-dock-dev.
    - Fix typos in package description (Closes: #624424).
      Thanks to Erik Esterer.
    - Add armhf to cairo-dock-alsamixer-plugin (Closes: #629478).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Jul 2011 12:25:34 +0900

cairo-dock-plugins (2.3.0~0rc1-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Fix plugin version of Scooby-Do.
  * Fix plugin version of Network-Monitor.
  * Fix package build
  * Fix typo in cairo-dock-illusion-plugin (Closes: #588463, #588449).
  * Update debian/control (Closes: #583144).
    - Update depends version of cairo-dock.
    - Drop cairo-dock from Depends.
    - Change Depends version of cairo-dock-plugin-data.
    - Add powerpcspe added powerpcspe to Architecture of cairo-dock-
      alsamixer-plugin

  [ Youhei SASAKI ]
  * Update debian/changelog
  * New Upstream version 2.3.0~0rc1
  * Change autotools to cmake for upstream change
  * Bump standard Version: 3.9.1
  * Remove unneeded patches
    - fix-plugin-version: change Scooby-Do and Network-monitor reqired version
    - fix-lintian-interreter_error: fix dustbin.conf VERSION_DUSTBIN
    - modified_clean_target: exclude clean_target for data/*.conf
  * Update Build-Depends cairo-dock-dev version
  * Remove Scooby-Do, NetworkMonitor
    - upstream indicates these plugin still 
      buggy/untested/under heavy development.
  * change install library name for upstream change
    - debian/cairo-dock-system-monitor-plugin.install
    - debian/cairo-dock-rssreader-plugin.install

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 01 Mar 2011 19:23:36 +0900

cairo-dock-plugins (2.1.3.10-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * New Upstream version 2.1.3.10
  * drop obsolute patch: Remove-preview.jpg-target(merge upstream)
  * remove extra charactor (Closes: #580111)
  * change cairo-dock-plugins Architecture "all" to "any" (Closes: #581299)

  [ Nobuhiro Iwamatsu ]
  * Update debian/control and debian/changelog
    - Add cairo-dock-gnome-integration-plugin, cairo-dock-kde-integration-plugin
      and cairo-dock-xfce-integration-plugin to cairo-dock-plugins.
    - Change remove dfsg from package name.
    - Update version of cairo-dock-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 20 May 2010 12:59:07 +0900

cairo-dock-plugins (2.1.3.5+dfsg-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Change 3.0/quilt source format.
  * Update debian/contorl.
    - Change Homepege from http://www.cairo-dock.org to
      http://www.glx-dock.org (Closes: #574408, #574427)
    - Remove some package from Depends of cairo-dock-plugins package.
  * Fix build kfreebsd-i386 and kfreebsd-amd64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Mar 2010 05:37:21 +0900

cairo-dock-plugins (2.1.3.5+dfsg-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * Initial release (Closes: #493737)

  [ Nobuhiro Iwamatsu ]
  * Remove slider/data/preview.jpg
    Because this image file has copyright of problem.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Feb 2010 18:33:36 +0900
